Index: /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 6917)
+++ /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 7655)
@@ -690,5 +690,5 @@
 				$entries = ldap_get_entries($ldap_connection, $search);
 				
-				for ($i=0; $i<$entries['count']; $i++)
+				for ($i=0; $i<$entries['count']; ++$i)
 				{
 					$users .= $entries[$i]['cn'][0] . ' - ' . $entries[$i]['mail'][0] . "\n";
@@ -844,5 +844,5 @@
 						{
 							$result['question'] = $this->functions->lang('Field CPF used by') . ":\n";
-								for ($i=0; $i<$entries['count']; $i++)
+								for ($i=0; $i<$entries['count']; ++$i)
 									{
 										if (strcasecmp($uid, $entries[$i]['uid'][0]) != 0)
@@ -910,5 +910,5 @@
 					else
 						$login.=$i;
-					$i++;
+					++$i;
 				}
 			}
@@ -1260,5 +1260,5 @@
 			
 		$options = '';			
-		for ($i=0; $i<$entries['count']; $i++)
+		for ($i=0; $i<$entries['count']; ++$i)
 			{
 			$options .= "<option value=" . $entries[$i]['uid'][0] . ">" . $entries[$i]['uid'][0] . " (" . $entries[$i]['mail'][0] . ")" . "</option>";
@@ -1283,5 +1283,5 @@
     	    	
 		$options = '';
-		for ($i=0; $i<$entries['count']; $i++)
+		for ($i=0; $i<$entries['count']; ++$i)
 		{
                             $options .= "<option value=" . $entries[$i]['mail'][0] . ">" . $entries[$i]['mail'][0] . "</option>";
@@ -1308,5 +1308,5 @@
     	
 		$options = '';			
-		for ($i=0; $i<$entries['count']; $i++)
+		for ($i=0; $i<$entries['count']; ++$i)
 		{
                             $options .= "<option value=" . $entries[$i]['mail'][0] . ">" . $entries[$i]['mail'][0] . "</option>";
@@ -1541,5 +1541,5 @@
 		$entries = ldap_get_entries($this->ldap, $search);
 		$result['status'] = true;
-		for ($i=0; $i<$entries['count']; $i++)
+		for ($i=0; $i<$entries['count']; ++$i)
 		{
 			$attrs['mailforwardingaddress'] = $old_mail;
@@ -1571,5 +1571,5 @@
 				$entry[0]['dn'] = strtolower($entry[0]['dn']);
 				$sector_dn_array = explode(",", $entry[0]['dn']);
-				for($i=1; $i<count($sector_dn_array); $i++)
+				for($i=1; $i<count($sector_dn_array); ++$i)
 					$sector_dn .= $sector_dn_array[$i] . ',';
 				//Retira ultimo pipe.
@@ -1599,5 +1599,5 @@
 		
 				// Samba
-				for ($i=0; $i<$entry[0]['objectclass']['count']; $i++)
+				for ($i=0; $i<$entry[0]['objectclass']['count']; ++$i)
 				{
 					if ($entry[0]['objectclass'][$i] == 'sambaSamAccount')
@@ -1640,5 +1640,5 @@
     			ldap_sort($this->ldap, $search, "cn");
     			$entries = ldap_get_entries($this->ldap, $search);
-    			for ($i=0; $i<$entries['count']; $i++)
+    			for ($i=0; $i<$entries['count']; ++$i)
 	    		{
     				$result['groups_ldap'][ $entries[$i]['gidnumber'][0] ] = utf8_decode($entries[$i]['cn'][0]);
@@ -1698,5 +1698,5 @@
 				$entry[0]['dn'] = strtolower($entry[0]['dn']);
 				$sector_dn_array = explode(",", $entry[0]['dn']);
-				for($i=1; $i<count($sector_dn_array); $i++)
+				for($i=1; $i<count($sector_dn_array); ++$i)
 					$sector_dn .= $sector_dn_array[$i] . ',';
 				//Retira ultimo pipe.
@@ -1727,5 +1727,5 @@
 		
 				// Samba
-				for ($i=0; $i<$entry[0]['objectclass']['count']; $i++)
+				for ($i=0; $i<$entry[0]['objectclass']['count']; ++$i)
 				{
 					if ($entry[0]['objectclass'][$i] == 'sambaSamAccount')
@@ -1768,5 +1768,5 @@
     			ldap_sort($this->ldap, $search, "cn");
     			$entries = ldap_get_entries($this->ldap, $search);
-    			for ($i=0; $i<$entries['count']; $i++)
+    			for ($i=0; $i<$entries['count']; ++$i)
 	    		{
     				$result['groups_ldap'][ $entries[$i]['gidnumber'][0] ] = utf8_decode($entries[$i]['cn'][0]);
@@ -1796,5 +1796,5 @@
     		$entries = ldap_get_entries($ldapMasterConnect, $search);
     		
-	    	for ($i=0; $i<$entries['count']; $i++)
+	    	for ($i=0; $i<$entries['count']; ++$i)
     		{
 				$result[ $entries[$i]['uid'][0] ]['uid']		= $entries[$i]['uid'][0];
@@ -1831,5 +1831,5 @@
 				$entry[0]['dn'] = strtolower($entry[0]['dn']);
 				$sector_dn_array = explode(",", $entry[0]['dn']);
-				for($i=1; $i<count($sector_dn_array); $i++)
+				for($i=1; $i<count($sector_dn_array); ++$i)
 					$sector_dn .= $sector_dn_array[$i] . ',';
 				//Retira ultimo pipe.
@@ -1844,5 +1844,5 @@
 		
 				//MemberUid
-				for ($i=0; $i<$entry[0]['memberuid']['count']; $i++)
+				for ($i=0; $i<$entry[0]['memberuid']['count']; ++$i)
 				{
 					$justthese = array("cn","uid","uidnumber");
@@ -1850,8 +1850,8 @@
 					// Montagem dinamica do filtro
 					$filter="(&(|(phpgwAccountType=u)(phpgwAccountType=s))(|";
-					for ($k=0; (($k<10) && ($i<$entry[0]['memberuid']['count'])); $k++)
+					for ($k=0; (($k<10) && ($i<$entry[0]['memberuid']['count'])); ++$k)
 					{
 						$filter .= "(uid=".$entry[0]['memberuid'][$i].")";
-						$i++;
+                        ++$i;
 					}
 					$i--;
@@ -1861,5 +1861,5 @@
 					$user_entry = ldap_get_entries($this->ldap, $search);
 
-					for ($j=0; $j<$user_entry['count']; $j++)
+					for ($j=0; $j<$user_entry['count']; ++$j)
 					{
 						$result['memberuid_info'][$user_entry[$j]['uid'][0]]['cn'] = $user_entry[$j]['cn'][0];
@@ -1891,5 +1891,5 @@
 		
 				// Samba
-				for ($i=0; $i<$entry[0]['objectclass']['count']; $i++)
+				for ($i=0; $i<$entry[0]['objectclass']['count']; ++$i)
 				{
 					if ($entry[0]['objectclass'][$i] == 'sambaGroupMapping')
@@ -1929,5 +1929,5 @@
 				$entry[0]['dn'] = strtolower($entry[0]['dn']);
 				$sector_dn_array = explode(",", $entry[0]['dn']);
-				for($i=1; $i<count($sector_dn_array); $i++)
+				for($i=1; $i<count($sector_dn_array); ++$i)
 					$sector_dn .= $sector_dn_array[$i] . ',';
 				//Retira ultimo pipe.
@@ -1944,5 +1944,5 @@
 			
 				//Members
-				for ($i=0; $i<$entry[0]['mailforwardingaddress']['count']; $i++)
+				for ($i=0; $i<$entry[0]['mailforwardingaddress']['count']; ++$i)
 				{
 					$justthese = array("cn", "uidnumber", "uid", "phpgwaccounttype", "mail");
@@ -1950,8 +1950,8 @@
 					// Montagem dinamica do filtro, para nao ter muitas conexoes com o ldap
 					$filter="(&(|(phpgwAccountType=u)(phpgwAccountType=l))(|";
-					for ($k=0; (($k<10) && ($i<$entry[0]['mailforwardingaddress']['count'])); $k++)
+					for ($k=0; (($k<10) && ($i<$entry[0]['mailforwardingaddress']['count'])); ++$k)
 					{
 						$filter .= "(mail=".$entry[0]['mailforwardingaddress'][$i].")";
-						$i++;
+                        ++$i;
 					}
 					$i--;
@@ -1961,5 +1961,5 @@
 					$user_entry = ldap_get_entries($ldap_conn_following_ref, $search);
 									
-					for ($j=0; $j<$user_entry['count']; $j++)
+					for ($j=0; $j<$user_entry['count']; ++$j)
 					{
 						$result['mailForwardingAddress_info'][$user_entry[$j]['mail'][0]]['uid'] = $user_entry[$j]['uid'][0];
@@ -2001,5 +2001,5 @@
 				$entry[0]['dn'] = strtolower($entry[0]['dn']);
 				$sector_dn_array = explode(",", $entry[0]['dn']);
-				for($i=1; $i<count($sector_dn_array); $i++)
+				for($i=1; $i<count($sector_dn_array); ++$i)
 					$sector_dn .= $sector_dn_array[$i] . ',';
 				//Retira ultimo pipe.
@@ -2018,5 +2018,5 @@
 		
 				//Senders
-				for ($i=0; $i<$entry[0]['mailsenderaddress']['count']; $i++)
+				for ($i=0; $i<$entry[0]['mailsenderaddress']['count']; ++$i)
 				{
 					$justthese = array("cn", "uidnumber", "uid", "mail");
@@ -2081,5 +2081,5 @@
 				}
 
-				$i++;
+                ++$i;
 			}
 		}
@@ -2254,5 +2254,5 @@
 	    $entries = ldap_get_entries($this->ldap, $search);
 		
-		for ($i=0; $i<$entries['count']; $i++)
+		for ($i=0; $i<$entries['count']; ++$i)
 		{
 			if ( !@ldap_mod_del($this->ldap, $entries[$i]['dn'], $attrs) )
@@ -2325,5 +2325,5 @@
 		$entry = ldap_get_entries($this->ldap, $search);
 		$attrs['mailForwardingAddress'] = $mail;
-		for ($i=0; $i<=$entry['count']; $i++)
+		for ($i=0; $i<=$entry['count']; ++$i)
 	    {
 			$dn = $entry[$i]['dn'];
@@ -2410,5 +2410,5 @@
 
 		$parent = array();
-		for ($j=1; $j<(count($explode_dn)-1); $j++)
+		for ($j=1; $j<(count($explode_dn)-1); ++$j)
 			$parent[] = $explode_dn[$j];
 		$parent = implode(",", $parent);
@@ -2430,5 +2430,5 @@
     	$array_mod_del['memberUid'] = $uid;
 
-	    for ($i=0; $i<=$entry['count']; $i++)
+	    for ($i=0; $i<=$entry['count']; ++$i)
 	    {
 	    	$dn = $entry[$i]['dn'];
@@ -2453,5 +2453,5 @@
 
 		$parent = array();
-		for ($j=1; $j<(count($explode_dn)-1); $j++)
+		for ($j=1; $j<(count($explode_dn)-1); ++$j)
 			$parent[] = $explode_dn[$j];
 		$parent = implode(",", $parent);
@@ -2516,5 +2516,5 @@
 	    $entry = ldap_get_entries($this->ldap, $search);
 	    
-   	    for ($i=0; $i<$entry['count']; $i++)
+   	    for ($i=0; $i<$entry['count']; ++$i)
 	    {
 			$return['sambaDomains'][$i] = $entry[$i]['sambadomainname'][0];
@@ -2622,5 +2622,5 @@
     		$entries = ldap_get_entries($this->ldap, $institutional_accounts);
     	    	
-			for ($i=0; $i<$entries['count']; $i++)
+			for ($i=0; $i<$entries['count']; ++$i)
 			{
 				$tr = "<tr class='normal' onMouseOver=this.className='selected' onMouseOut=this.className='normal'><td onClick=edit_institutional_account('".$entries[$i]['uid'][0]."')>" . utf8_decode($entries[$i]['cn'][0]) . "</td><td onClick=edit_institutional_account('".$entries[$i]['uid'][0]."')>" . $entries[$i]['mail'][0] . "</td><td align='center' onClick=delete_institutional_accounts('".$entries[$i]['uid'][0]."')><img HEIGHT='16' WIDTH='16' src=./expressoAdmin1_2/templates/default/images/delete.png></td></tr>";
@@ -2681,5 +2681,5 @@
 			{
 				$a_cn = array();
-				for ($i=0; $i<$entrie[0]['mailforwardingaddress']['count']; $i++)
+				for ($i=0; $i<$entrie[0]['mailforwardingaddress']['count']; ++$i)
 				{
 					$tmp = $this->mailforwardingaddress2uidnumber($entrie[0]['mailforwardingaddress'][$i]);
@@ -2716,5 +2716,5 @@
     		$entries = ldap_get_entries($this->ldap, $institutional_accounts);
     	    	
-			for ($i=0; $i<$entries['count']; $i++)
+			for ($i=0; $i<$entries['count']; ++$i)
 			{
 				$tr = "<tr class='normal' onMouseOver=this.className='selected' onMouseOut=this.className='normal'><td onClick=edit_shared_account('".$entries[$i]['uid'][0]."')>" . utf8_decode($entries[$i]['cn'][0]) . "</td><td onClick=edit_shared_account('".$entries[$i]['uid'][0]."')>" . utf8_decode($entries[$i]['cn'][0]). " (" . $entries[$i]['uid'][0] . ")" . "</td><td onClick=edit_shared_account('".$entries[$i]['uid'][0]."')>" . $entries[$i]['mail'][0] . "<td align='center' onClick=delete_shared_accounts('".$entries[$i]['uid'][0]."','".$entries[$i]['mail'][0]."')><img HEIGHT='16' WIDTH='16' src=./expressoAdmin1_2/templates/default/images/delete.png></td></tr>";
@@ -2858,5 +2858,5 @@
 		$entries = ldap_get_entries($this->ldap, $search);
 		$result['status'] = true;
-		for ($i=0; $i<$entries['count']; $i++)
+		for ($i=0; $i<$entries['count']; ++$i)
 		{
 			$attrs['mailforwardingaddress'] = $oldMail;
Index: /trunk/expressoAdmin1_2/inc/class.totalsessions.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.totalsessions.inc.php	(revision 5233)
+++ /trunk/expressoAdmin1_2/inc/class.totalsessions.inc.php	(revision 7655)
@@ -79,5 +79,5 @@
                                             }
 
-                                            $total++;
+                                            ++$total;
                                     }
                                     
Index: /trunk/listAdmin/docs/manageheader.php
===================================================================
--- /trunk/listAdmin/docs/manageheader.php	(revision 5912)
+++ /trunk/listAdmin/docs/manageheader.php	(revision 7655)
@@ -504,5 +504,5 @@
 				);
 
-				for($i=0; $i<30; $i++)
+				for($i=0; $i<30; ++$i)
 				{
 					$GLOBALS['phpgw_info']['server']['mcrypt_iv'] .= $random_char[rand(1,count($random_char))];
Index: /trunk/listAdmin/controller.php
===================================================================
--- /trunk/listAdmin/controller.php	(revision 3514)
+++ /trunk/listAdmin/controller.php	(revision 7655)
@@ -15,5 +15,5 @@
  			$count_files = $_POST['countFiles'];
 			$array_files = array(); 		
- 			for($idx = 1; $idx <= $count_files; $idx++) { 		
+ 			for($idx = 1; $idx <= $count_files; ++$idx) {
  				if($_FILES['file_'.$idx] && !$_FILES['file_'.$idx]['error'])
  					$array_files[] = $_FILES['file_'.$idx]; 					 
Index: /trunk/listAdmin/inc/class.db_functions.inc.php
===================================================================
--- /trunk/listAdmin/inc/class.db_functions.inc.php	(revision 3514)
+++ /trunk/listAdmin/inc/class.db_functions.inc.php	(revision 7655)
@@ -283,5 +283,5 @@
 			$user_app[] = $this->db->row();
 		
-		for ($i=0; $i<count($user_app); $i++)
+		for ($i=0; $i<count($user_app); ++$i)
 			$return['groups'][] = $user_app[$i]['acl_location'];
 		
@@ -505,5 +505,5 @@
 			$serverList[$i]['imapsieveserver']	= $this->db->f(2);
 			$serverList[$i]['imapsieveport']	= $this->db->f(3);
-			$i++;
+			++$i;
 		}
 		
@@ -587,5 +587,5 @@
 			$users_ldap[$i]['cn']        		= $this->db->f(3);
 			$users_ldap[$i]['mail']        		= $this->db->f(5);
-			$i++;
+			++$i;
 			}	     
 		return $users_ldap;
Index: /trunk/listAdmin/inc/class.functions.inc.php
===================================================================
--- /trunk/listAdmin/inc/class.functions.inc.php	(revision 6057)
+++ /trunk/listAdmin/inc/class.functions.inc.php	(revision 7655)
@@ -242,5 +242,5 @@
 				$i = 0;
 				$tmp = array();
-				for ($i=0; $i < $info['count']; $i++)
+				for ($i=0; $i < $info['count']; ++$i)
 				{
 					$tmp[$i]['uid'] 		= $info[$i]['uid'][0];
@@ -271,5 +271,5 @@
 				$tmp = array();
 				$ldap_found=false;
-				for ($i=0; $i < $info['count']; $i++)
+				for ($i=0; $i < $info['count']; ++$i)
 					{
 					$tmp[$i][account_id]			= $info[$i]['uidnumber'][0]; 
@@ -338,5 +338,5 @@
 				$i = 0;
 				$tmp = array();
-				for ($i=0; $i < $info['count']; $i++)
+				for ($i=0; $i < $info['count']; ++$i)
 				{
 					$tmp[$i][cn] 			= $info[$i][cn][0];
@@ -363,5 +363,5 @@
 				$i = 0;
 				$tmp = array();
-				for ($i=0; $i < $info['count']; $i++)
+				for ($i=0; $i < $info['count']; ++$i)
 				{
 					$tmp[$i]['uid'] 		= $info[$i]['uid'][0];
@@ -381,5 +381,5 @@
 				ldap_close($ldap_conn);
 				$tmp = array();
-				for ($i=0; $i < $info['count']; $i++)
+				for ($i=0; $i < $info['count']; ++$i)
 				{
 					$tmp[$i]['cn'] 			= $info[$i]['cn'][0];
@@ -416,5 +416,5 @@
 				{
 					$sector_space = '';
-					for ($i=1; $i < $sector->sector_level; $i++)
+					for ($i=1; $i < $sector->sector_level; ++$i)
 						$sector_space = '---'.$sector_space;
 					$sector->sector_name = $sector_space.' '.$sector->sector_name;
@@ -452,5 +452,5 @@
 
 			// Retiro o count do array info e inverto o array para ordenaï¿œï¿œo.
-	        for ($i=0; $i<$info["count"]; $i++)
+	        for ($i=0; $i<$info["count"]; ++$i)
     	    {
 				$dn = $info[$i]["dn"];
@@ -486,5 +486,5 @@
                         $display .= '+';
                 else {
-                        for ($i=0; $i<$level; $i++)
+                        for ($i=0; $i<$level; ++$i)
                                 $display .= '---';
                 }
@@ -567,5 +567,5 @@
 				ldap_sort($connection, $search, "ou");
 				$info = ldap_get_entries($connection, $search);
-				for ($i=0; $i<$info["count"]; $i++)
+				for ($i=0; $i<$info["count"]; ++$i)
 				{
 					$this->level++;
@@ -607,5 +607,5 @@
 
 			// Retiro o count do array info e inverto o array para ordenaï¿œï¿œo.
-	        for ($i=0; $i<$info["count"]; $i++)
+	        for ($i=0; $i<$info["count"]; ++$i)
     	    {
 				$dn = $info[$i]["dn"];
@@ -644,5 +644,5 @@
                 else 
                 {
-					for ($i=0; $i<$level; $i++)
+					for ($i=0; $i<$level; ++$i)
 						$display .= '---';
                 }
@@ -793,5 +793,5 @@
 					$applications_list .= sprintf('<tr bgcolor="%s">%s%s%s</tr>','#DDDDDD', $app_col1, $app_col2, $app_col3);					
 				}
-				$i++;
+				++$i;
 			}
 			return $applications_list;
Index: /trunk/listAdmin/inc/class.ldap_functions.inc.php
===================================================================
--- /trunk/listAdmin/inc/class.ldap_functions.inc.php	(revision 3514)
+++ /trunk/listAdmin/inc/class.ldap_functions.inc.php	(revision 7655)
@@ -215,5 +215,5 @@
     	$entries = ldap_get_entries($this->ldap, $groups_list);
     	
-		for ($i=0; $i<$entries["count"]; $i++){
+		for ($i=0; $i<$entries["count"]; ++$i){
 			$u_tmp[$entries[$i]["uidnumber"][0]] = $entries[$i]["cn"][0];
 		}
@@ -266,5 +266,5 @@
 		
 		$lists_entries = ldap_get_entries($this->ldap, $lists_search);
-		for ($i=0; $i<$lists_entries["count"]; $i++)
+		for ($i=0; $i<$lists_entries["count"]; ++$i)
 		{
 			$l_tmp[$lists_entries[$i]["uidnumber"][0]] = $lists_entries[$i]["cn"][0];
@@ -288,5 +288,5 @@
 		
 		$users_entries = ldap_get_entries($this->ldap, $users_search);
-		for ($i=0; $i<$users_entries["count"]; $i++)
+		for ($i=0; $i<$users_entries["count"]; ++$i)
 		{
 			$u_tmp[$users_entries[$i]["uidnumber"][0]] = $users_entries[$i]["cn"][0];
@@ -336,5 +336,5 @@
 		
 		$users_entries = ldap_get_entries($this->ldap, $users_search);
-		for ($i=0; $i<$users_entries["count"]; $i++)
+		for ($i=0; $i<$users_entries["count"]; ++$i)
 		{
 			$u_tmp[$users_entries[$i]["uidnumber"][0]] = $users_entries[$i]["cn"][0];
@@ -371,5 +371,5 @@
 		$entry = ldap_get_entries($this->ldap, $search);
 		$i = 0;
-		for($i = 0; $i <= $entry[0]['memberuid']['count']; $i++)
+		for($i = 0; $i <= $entry[0]['memberuid']['count']; ++$i)
 		{
 			if($entry[0]['memberuid'][$i] == $uid)
@@ -416,5 +416,5 @@
 
 		$users_entries = ldap_get_entries($this->ldap, $users_search);
-		for ($i=0; $i<$users_entries["count"]; $i++)
+		for ($i=0; $i<$users_entries["count"]; ++$i)
 		{
 				$u_tmp[$users_entries[$i]["uidnumber"][0]] = $users_entries[$i]["cn"][0] . " [" .$users_entries[$i]["mail"][0] . "]";
@@ -454,5 +454,5 @@
     	$entries = ldap_get_entries($this->ldap, $groups_list);
 	$options = '';
-	for ($i=0; $i<$entries['count']; $i++)
+	for ($i=0; $i<$entries['count']; ++$i)
 		{
 		$options .= "<option value=" . $entries[$i]['gidnumber'][0] . ">" . $entries[$i]['cn'][0] . "</option>";
@@ -471,5 +471,5 @@
     	
 		$options = '';			
-		for ($i=0; $i<$entries['count']; $i++)
+		for ($i=0; $i<$entries['count']; ++$i)
 		{
 			$options .= "<option value=" . $entries[$i]['uidnumber'][0] . ">" . $entries[$i]['uid'][0] . " </option>";
@@ -715,5 +715,5 @@
 		$entries = ldap_get_entries($this->ldap_write, $search);
 		$result['status'] = true;
-		for ($i=0; $i<$entries['count']; $i++)
+		for ($i=0; $i<$entries['count']; ++$i)
 		{
 			$attrs['mailforwardingaddress'] = $old_mail;
@@ -746,5 +746,5 @@
 		$entry[0]['dn'] = strtolower($entry[0]['dn']);
 		$sector_dn_array = explode(",", $entry[0]['dn']);
-		for($i=1; $i<count($sector_dn_array); $i++)
+		for($i=1; $i<count($sector_dn_array); ++$i)
 			$sector_dn .= $sector_dn_array[$i] . ',';
 		//Retira ultimo pipe.
@@ -790,5 +790,5 @@
 		
 		// Samba
-		for ($i=0; $i<$entry[0]['objectclass']['count']; $i++)
+		for ($i=0; $i<$entry[0]['objectclass']['count']; ++$i)
 		{
 			if ($entry[0]['objectclass'][$i] == 'sambaSamAccount')
@@ -812,5 +812,5 @@
     	$entries = ldap_get_entries($this->ldap, $search);
 
-    	for ($i=0; $i<$entries['count']; $i++)
+    	for ($i=0; $i<$entries['count']; ++$i)
     	{
     		$result['maillists_info'][$i]['uidnumber'] = $entries[$i]['uidnumber'][0];
@@ -826,5 +826,5 @@
     	ldap_sort($this->ldap, $search, "cn");
     	$entries = ldap_get_entries($this->ldap, $search);
-    	for ($i=0; $i<$entries['count']; $i++)
+    	for ($i=0; $i<$entries['count']; ++$i)
     	{
     		$result['groups_ldap'][ $entries[$i]['gidnumber'][0] ] = $entries[$i]['cn'][0];
@@ -844,5 +844,5 @@
 		$entry[0]['dn'] = strtolower($entry[0]['dn']);
 		$sector_dn_array = explode(",", $entry[0]['dn']);
-		for($i=1; $i<count($sector_dn_array); $i++)
+		for($i=1; $i<count($sector_dn_array); ++$i)
 			$sector_dn .= $sector_dn_array[$i] . ',';
 		//Retira ultimo pipe.
@@ -857,5 +857,5 @@
 		
 		//MemberUid
-		for ($i=0; $i<$entry[0]['memberuid']['count']; $i++)
+		for ($i=0; $i<$entry[0]['memberuid']['count']; ++$i)
 		{
 			$justthese = array("cn","uid","uidnumber");
@@ -863,8 +863,8 @@
 			// Montagem dinamica do filtro
 			$filter="(&(phpgwAccountType=u)(|";
-			for ($k=0; (($k<10) && ($i<$entry[0]['memberuid']['count'])); $k++)
+			for ($k=0; (($k<10) && ($i<$entry[0]['memberuid']['count'])); ++$k)
 			{
 				$filter .= "(uid=".$entry[0]['memberuid'][$i].")";
-				$i++;
+				++$i;
 			}
 			$i--;
@@ -874,5 +874,5 @@
 			$user_entry = ldap_get_entries($this->ldap, $search);
 
-			for ($j=0; $j<$user_entry['count']; $j++)
+			for ($j=0; $j<$user_entry['count']; ++$j)
 			{
 				$result['memberuid_info'][$user_entry[$j]['uid'][0]]['cn'] = $user_entry[$j]['cn'][0];
@@ -903,5 +903,5 @@
 		
 		// Samba
-		for ($i=0; $i<$entry[0]['objectclass']['count']; $i++)
+		for ($i=0; $i<$entry[0]['objectclass']['count']; ++$i)
 		{
 			if ($entry[0]['objectclass'][$i] == 'sambaGroupMapping')
@@ -925,5 +925,5 @@
 		$entry[0]['dn'] = strtolower($entry[0]['dn']);
 		$sector_dn_array = explode(",", $entry[0]['dn']);
-		for($i=1; $i<count($sector_dn_array); $i++)
+		for($i=1; $i<count($sector_dn_array); ++$i)
 			$sector_dn .= $sector_dn_array[$i] . ',';
 		//Retira ultimo pipe.
@@ -944,5 +944,5 @@
 			
 		//Members
-		for ($i=0; $i<$entry[0]['mailforwardingaddress']['count']; $i++)
+		for ($i=0; $i<$entry[0]['mailforwardingaddress']['count']; ++$i)
 		{
 			$justthese = array("cn", "uidnumber", "uid", "phpgwaccounttype", "mail");
@@ -950,8 +950,8 @@
 			// Montagem dinamica do filtro
 			$filter="(&(|(phpgwAccountType=u)(phpgwAccountType=l))(|";
-			for ($k=0; (($k<10) && ($i<$entry[0]['mailforwardingaddress']['count'])); $k++)
+			for ($k=0; (($k<10) && ($i<$entry[0]['mailforwardingaddress']['count'])); ++$k)
 			{
 				$filter .= "(mail=".$entry[0]['mailforwardingaddress'][$i].")";
-				$i++;
+				++$i;
 			}
 			$i--;
@@ -961,5 +961,5 @@
 			$user_entry = ldap_get_entries($this->ldap, $search);
 				
-			for ($j=0; $j<$user_entry['count']; $j++)
+			for ($j=0; $j<$user_entry['count']; ++$j)
 			{
 				$result['members_info'][$user_entry[$j]['uidnumber'][0]]['uid'] = $user_entry[$j]['uid'][0];
@@ -1006,5 +1006,5 @@
 		$entry[0]['dn'] = strtolower($entry[0]['dn']);
 		$sector_dn_array = explode(",", $entry[0]['dn']);
-		for($i=1; $i<count($sector_dn_array); $i++)
+		for($i=1; $i<count($sector_dn_array); ++$i)
 			$sector_dn .= $sector_dn_array[$i] . ',';
 		//Retira ultimo pipe.
@@ -1023,5 +1023,5 @@
 
 		//Members
-		for ($i=0; $i<$entry[0]['admlista']['count']; $i++)
+		for ($i=0; $i<$entry[0]['admlista']['count']; ++$i)
 		{
 			$justthese = array("cn", "uidnumber", "uid", "phpgwaccounttype", "mail", "admlista");
@@ -1029,8 +1029,8 @@
 			// Montagem dinamica do filtro
 			$filter="(&(|(phpgwAccountType=u)(phpgwAccountType=l))(|";
-			for ($k=0; (($k<10) && ($i<$entry[0]['admlista']['count'])); $k++)
+			for ($k=0; (($k<10) && ($i<$entry[0]['admlista']['count'])); ++$k)
 			{
 				$filter .= "(mail=".$entry[0]['admlista'][$i].")";
-				$i++;
+				++$i;
 			}
 			$i--;
@@ -1040,5 +1040,5 @@
 			$user_entry = ldap_get_entries($this->ldap, $search);
 				
-			for ($j=0; $j<$user_entry['count']; $j++)
+			for ($j=0; $j<$user_entry['count']; ++$j)
 			{
 				$result['members_info'][$user_entry[$j]['uidnumber'][0]]['uid'] = $user_entry[$j]['uid'][0];
@@ -1086,5 +1086,5 @@
 		$entry[0]['dn'] = strtolower($entry[0]['dn']);
 		$sector_dn_array = explode(",", $entry[0]['dn']);
-		for($i=1; $i<count($sector_dn_array); $i++)
+		for($i=1; $i<count($sector_dn_array); ++$i)
 			$sector_dn .= $sector_dn_array[$i] . ',';
 		//Retira ultimo pipe.
@@ -1105,8 +1105,8 @@
 		
 		//Senders
-		//for ($i=0; $i<$entry[0]['mailsenderaddress']['count']; $i++)
+		//for ($i=0; $i<$entry[0]['mailsenderaddress']['count']; ++$i)
 		//Recupera a relacao de usuario nao moderados no Mailman (podem enviar e-mails para uma lista de e-mail sem precisar da
 		//autorizacao do moderador;
-		for ($i=0; $i<$entry[0]['naomoderado']['count']; $i++)
+		for ($i=0; $i<$entry[0]['naomoderado']['count']; ++$i)
 		{
 			$justthese = array("cn", "uidnumber", "uid", "mail");
@@ -1161,5 +1161,5 @@
 					$result['groups_info'][$i]['group_disabled'] = 'false';
 				
-				$i++;
+				++$i;
 			}
 		}
@@ -1421,5 +1421,5 @@
 
 		$parent = array();
-		for ($j=1; $j<(count($explode_dn)-1); $j++)
+		for ($j=1; $j<(count($explode_dn)-1); ++$j)
 			$parent[] = $explode_dn[$j];
 		$parent = implode(",", $parent);
@@ -1441,5 +1441,5 @@
     	$array_mod_del['memberUid'] = $uid;
 
-	    for ($i=0; $i<=$entry['count']; $i++)
+	    for ($i=0; $i<=$entry['count']; ++$i)
 	    {
 	    	$dn = $entry[$i]['dn'];
@@ -1464,5 +1464,5 @@
 
 		$parent = array();
-		for ($j=1; $j<(count($explode_dn)-1); $j++)
+		for ($j=1; $j<(count($explode_dn)-1); ++$j)
 			$parent[] = $explode_dn[$j];
 		$parent = implode(",", $parent);
@@ -1487,5 +1487,5 @@
 	    $entry = ldap_get_entries($this->ldap, $search);
 		
-	    for ($i=0; $i<=$entry['count']; $i++)
+	    for ($i=0; $i<=$entry['count']; ++$i)
 	    {
 	    	$dn = strtolower($entry[$i]['dn']);
@@ -1513,5 +1513,5 @@
 	    $entry = ldap_get_entries($this->ldap, $search);
 		
-	    for ($i=0; $i<$entry['count']; $i++)
+	    for ($i=0; $i<$entry['count']; ++$i)
 	    {
 			$return['sambaDomains'][$i]['samba_domain_sid'] = $entry[$i]['sambasid'][0];
@@ -1569,5 +1569,5 @@
 	    $entry = ldap_get_entries($this->ldap_write, $search);
 	    
-   	    for ($i=0; $i<$entry['count']; $i++)
+   	    for ($i=0; $i<$entry['count']; ++$i)
 	    {
 			$return['sambaDomains'][$i] = $entry[$i]['sambadomainname'][0];
@@ -1630,5 +1630,5 @@
 		$key='expresso-livre';
 		$result = '';
-		for($i=1; $i<=strlen($string); $i++)
+		for($i=1; $i<=strlen($string); ++$i)
 		{
 			$char = substr($string, $i-1, 1);
Index: /trunk/listAdmin/inc/sieve-php.lib.php
===================================================================
--- /trunk/listAdmin/inc/sieve-php.lib.php	(revision 6057)
+++ /trunk/listAdmin/inc/sieve-php.lib.php	(revision 7655)
@@ -285,5 +285,5 @@
       $index = 0;
 
-      for($ptr = 0; $ptr < strlen($string); $ptr++){
+      for($ptr = 0; $ptr < strlen($string); ++$ptr){
           if($string[$ptr] == '"' and $string[$ptr] != '\\'){
               if($start == -1){
Index: /trunk/admin/inc/class.uiaccounts.inc.php
===================================================================
--- /trunk/admin/inc/class.uiaccounts.inc.php	(revision 5928)
+++ /trunk/admin/inc/class.uiaccounts.inc.php	(revision 7655)
@@ -581,5 +581,5 @@
 			$c_users = count($users);
 			$str = '';
-			for($i=0;$i<$c_users;$i++)
+			for($i=0;$i<$c_users;++$i)
 			{
 				$str .= '<option value='.$users[$i]['account_id'].'>'.$GLOBALS['phpgw']->common->display_fullname($users[$i]['account_lid'],$users[$i]['account_firstname'],$users[$i]['account_lastname']).'</option>'."\n";
@@ -806,5 +806,5 @@
 					$perm_display[$i]['appName'] = $app;
 					$perm_display[$i]['title']   = $data['title'];
-					$i++;
+					++$i;
 				}
 			}
@@ -816,5 +816,5 @@
 			@reset($db_perms);
 
-			for ($i=0;$i<count($perm_display);$i++)
+			for ($i=0;$i<count($perm_display);++$i)
 			{
 				if ($perm_display[$i]['title'])
@@ -823,5 +823,5 @@
 				}
 
-				$i++;
+				++$i;
 
 				if ($perm_display[$i]['title'])
@@ -955,5 +955,5 @@
 			
 			$tr_color = $GLOBALS['phpgw_info']['theme']['row_off'];
-			for ($i=0;$i < count($perm_display);$i++)
+			for ($i=0;$i < count($perm_display);++$i)
 			{
 				$app = $perm_display[$i][0];
@@ -1182,5 +1182,5 @@
 			{
 				$groups_select .= '<option value="' . $value['account_id'] . '"';
-				for ($i=0; $i<count($userGroups); $i++) 
+				for ($i=0; $i<count($userGroups); ++$i)
 				{
 					/* print "Los1:".$userData["account_id"].$userGroups[$i]['account_id']." : ".$value['account_id']."<br>"; */
Index: /trunk/admin/inc/class.soaccounts.inc.php
===================================================================
--- /trunk/admin/inc/class.soaccounts.inc.php	(revision 2)
+++ /trunk/admin/inc/class.soaccounts.inc.php	(revision 7655)
@@ -95,5 +95,5 @@
 			{
 				$c_acct_groups = count($userData['account_groups']);
-				for ($i=0;$i<$c_acct_groups;$i++)
+				for ($i=0;$i<$c_acct_groups;+$i)
 				{
 					$GLOBALS['phpgw']->acl->add_repository('phpgw_group',$userData['account_groups'][$i],$userData['account_id'],1);
Index: /trunk/admin/inc/class.uiapplications.inc.php
===================================================================
--- /trunk/admin/inc/class.uiapplications.inc.php	(revision 2)
+++ /trunk/admin/inc/class.uiapplications.inc.php	(revision 7655)
@@ -97,5 +97,5 @@
 					$applications[$app] = $data;
 				}
-				$i++;
+				++$i;
 			}
 
Index: /trunk/admin/inc/class.boaccounts.inc.php
===================================================================
--- /trunk/admin/inc/class.boaccounts.inc.php	(revision 2)
+++ /trunk/admin/inc/class.boaccounts.inc.php	(revision 7655)
@@ -703,5 +703,5 @@
 			{
 				$error[$totalerrors] = lang('You must enter a lastname');
-				$totalerrors++;
+				++$totalerrors;
 			}
 
@@ -709,5 +709,5 @@
 			{
 				$error[$totalerrors] = lang('You must enter a loginid');
-				$totalerrors++;
+				++$totalerrors;
 			}
 			
@@ -715,5 +715,5 @@
 			{
 				$error[$totalerrors] = lang('The groups must include the primary group');
-				$totalerrors++;
+				++$totalerrors;
 			}
 			
@@ -730,5 +730,5 @@
 					  $error[$totalerrors] = lang('That loginid has already been taken');
 				   }
-				   $totalerrors++;
+				   ++$totalerrors;
 				}
 			}
@@ -739,5 +739,5 @@
 				{
 					$error[$totalerrors] = lang('The two passwords are not the same');
-					$totalerrors++;
+					++$totalerrors;
 				}
 			}
@@ -746,5 +746,5 @@
 			{
 				$error[$totalerrors] = lang('You must add at least 1 permission or group to this account');
-				$totalerrors++;
+				++$totalerrors;
 			}
 
@@ -761,5 +761,5 @@
 					{
 						$error[$totalerrors] = lang('You have entered an invalid expiration date');
-						$totalerrors++;
+						++$totalerrors;
 					}
 					else
@@ -781,5 +781,5 @@
 			{
 				$error[$totalerrors] = lang ('File space must be an integer');
-				$totalerrors++;
+				++$totalerrors;
 			}
 		*/
Index: /trunk/admin/inc/class.uilog.inc.php
===================================================================
--- /trunk/admin/inc/class.uilog.inc.php	(revision 2)
+++ /trunk/admin/inc/class.uilog.inc.php	(revision 7655)
@@ -63,5 +63,5 @@
 				{
 					$c = array();
-					for ($i=0;$i<count($_cols);$i++)
+					for ($i=0;$i<count($_cols);++$i)
 					{
 						if (!in_array($i, $_delcol))
Index: /trunk/admin/inc/class.solog.inc.php
===================================================================
--- /trunk/admin/inc/class.solog.inc.php	(revision 2)
+++ /trunk/admin/inc/class.solog.inc.php	(revision 7655)
@@ -40,5 +40,5 @@
 				/* fields from phpgw_log table */
 				$clist = $this->db->metadata('phpgw_log');
-				for ($i=0; $i<count($clist); $i++)
+				for ($i=0; $i<count($clist); ++$i)
 				{
 					$name =  $clist[$i]['name'];
@@ -48,5 +48,5 @@
 				/* fields from phpgw_log_msg table */
 				$clist = $this->db->metadata('phpgw_log_msg');
-				for ($i=0; $i<count($clist); $i++)
+				for ($i=0; $i<count($clist); ++$i)
 				{
 					$name =  $clist[$i]['name'];
@@ -66,5 +66,5 @@
 				/* Enhance with Columns for phpgw_accounts */
 				$clist = $this->db->metadata('phpgw_accounts');
-				for ($i=0; $i<count($clist); $i++)
+				for ($i=0; $i<count($clist); ++$i)
 				{
 					$name =  $clist[$i]['name'];
Index: /trunk/admin/inc/class.uimenuclass.inc.php
===================================================================
--- /trunk/admin/inc/class.uimenuclass.inc.php	(revision 2)
+++ /trunk/admin/inc/class.uimenuclass.inc.php	(revision 7655)
@@ -59,5 +59,5 @@
 				}
 				$this->section_item($link,lang($value['description']),$this->rowColor[($i % 2)]);
-				$i++;
+				++$i;
 			}
 
